Index: trunk/lib/FlairCore/src/FrameworkManager_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/FrameworkManager_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/FrameworkManager_impl.cpp	(revision 15)
@@ -43,6 +43,6 @@
 using namespace flair::gui;
 
-ui_com* FrameworkManager_impl::com=NULL;
-FrameworkManager_impl* FrameworkManager_impl::_this=NULL;
+ui_com *FrameworkManager_impl::com = NULL;
+FrameworkManager_impl *FrameworkManager_impl::_this = NULL;
 
 namespace {
@@ -50,83 +50,80 @@
 
 #ifdef SIGDEBUG
-    static const char *reason_str[] = {
-        "undefined",
-        "received signal",
-        "invoked syscall",
-        "triggered fault",
-        "affected by priority inversion",
-         "missing mlockall",
-        "runaway thread",
-    };
-
-    void warn_upon_switch(int sig, siginfo_t *si, void *context)     {
-        unsigned int reason = si->si_value.sival_int;
-        void *bt[32];
-        int nentries;
+static const char *reason_str[] = {
+    "undefined", "received signal", "invoked syscall", "triggered fault",
+    "affected by priority inversion", "missing mlockall", "runaway thread",
+};
+
+void warn_upon_switch(int sig, siginfo_t *si, void *context) {
+  unsigned int reason = si->si_value.sival_int;
+  void *bt[32];
+  int nentries;
 #ifdef SIGDEBUG_WATCHDOG
-        printf("\nSIGDEBUG received, reason %d: %s\n", reason,
-           reason <= SIGDEBUG_WATCHDOG ? reason_str[reason] : "<unknown>");
-#endif
-        // Dump a backtrace of the frame which caused the switch to secondary mode:
-        nentries = backtrace(bt,sizeof(bt) / sizeof(bt[0]));
-        backtrace_symbols_fd(bt,nentries,fileno(stdout));
-    }
-#else //SIGDEBUG
-    void warn_upon_switch(int sig __attribute__((unused))) {
-        void *bt[32];
-        int nentries;
-
-        /* Dump a backtrace of the frame which caused the switch to
-           secondary mode: */
-        nentries = backtrace(bt,sizeof(bt) / sizeof(bt[0]));
-        backtrace_symbols_fd(bt,nentries,fileno(stdout));
-    }
-#endif //SIGDEBUG
+  printf("\nSIGDEBUG received, reason %d: %s\n", reason,
+         reason <= SIGDEBUG_WATCHDOG ? reason_str[reason] : "<unknown>");
+#endif
+  // Dump a backtrace of the frame which caused the switch to secondary mode:
+  nentries = backtrace(bt, sizeof(bt) / sizeof(bt[0]));
+  backtrace_symbols_fd(bt, nentries, fileno(stdout));
+}
+#else  // SIGDEBUG
+void warn_upon_switch(int sig __attribute__((unused))) {
+  void *bt[32];
+  int nentries;
+
+  /* Dump a backtrace of the frame which caused the switch to
+     secondary mode: */
+  nentries = backtrace(bt, sizeof(bt) / sizeof(bt[0]));
+  backtrace_symbols_fd(bt, nentries, fileno(stdout));
+}
+#endif // SIGDEBUG
 #endif //__XENO__
-    void seg_fault(int sig __attribute__((unused))) {
-        void *bt[32];
-        int nentries;
-
-        printf("Segmentation fault:\n");
-        /* Dump a backtrace of the frame which caused the segfault: */
-        nentries = backtrace(bt,sizeof(bt) / sizeof(bt[0]));
-        backtrace_symbols_fd(bt,nentries,fileno(stdout));
-
-        exit(1);
-    }
-}
-
-FrameworkManager_impl::FrameworkManager_impl(FrameworkManager *self,string name): Thread(self,"FrameworkManager",FRAMEWORK_TASK_PRIORITY) {
-    this->self=self;
-    is_logging=false;
-    logger_defined=false;
-    disable_errors=false;
-    ui_defined=false;
-    rcv_buf=NULL;
-    _this=this;
-
-    // Avoids memory swapping for this program
-    mlockall(MCL_CURRENT|MCL_FUTURE);
-    struct sigaction sa;
-
-    //catch segfault
-    signal(SIGSEGV, seg_fault);
-
-    //catch primary->secondary switch
+void seg_fault(int sig __attribute__((unused))) {
+  void *bt[32];
+  int nentries;
+
+  printf("Segmentation fault:\n");
+  /* Dump a backtrace of the frame which caused the segfault: */
+  nentries = backtrace(bt, sizeof(bt) / sizeof(bt[0]));
+  backtrace_symbols_fd(bt, nentries, fileno(stdout));
+
+  exit(1);
+}
+}
+
+FrameworkManager_impl::FrameworkManager_impl(FrameworkManager *self,
+                                             string name)
+    : Thread(self, "FrameworkManager", FRAMEWORK_TASK_PRIORITY) {
+  this->self = self;
+  is_logging = false;
+  logger_defined = false;
+  disable_errors = false;
+  ui_defined = false;
+  rcv_buf = NULL;
+  _this = this;
+
+  // Avoids memory swapping for this program
+  mlockall(MCL_CURRENT | MCL_FUTURE);
+  struct sigaction sa;
+
+  // catch segfault
+  signal(SIGSEGV, seg_fault);
+
+// catch primary->secondary switch
 #ifdef __XENO__
 #ifdef SIGDEBUG
-    sigemptyset(&sa.sa_mask);
-    sa.sa_sigaction = warn_upon_switch;
-    sa.sa_flags = SA_SIGINFO;
-    sigaction(SIGDEBUG, &sa, NULL);
-#else
-    signal(SIGXCPU, warn_upon_switch);
-#endif
-
-    string task_name="Framework_"+name;
-    int status=rt_task_shadow(NULL,task_name.c_str(),10,0);
-    if(status!=0) {
-        self->Err("rt_task_shadow error (%s)\n",strerror(-status));
-    }
+  sigemptyset(&sa.sa_mask);
+  sa.sa_sigaction = warn_upon_switch;
+  sa.sa_flags = SA_SIGINFO;
+  sigaction(SIGDEBUG, &sa, NULL);
+#else
+  signal(SIGXCPU, warn_upon_switch);
+#endif
+
+  string task_name = "Framework_" + name;
+  int status = rt_task_shadow(NULL, task_name.c_str(), 10, 0);
+  if (status != 0) {
+    self->Err("rt_task_shadow error (%s)\n", strerror(-status));
+  }
 
 #endif //__XENO__
